#
# Cookbook Name:: bjn_ruby
# Recipe:: default
#
# Copyright (C) 2014 Blue Jeans Network
#

# Remove old packages
%w[
  ruby1.9.1
  ruby1.9.1-dev
  ruby1.9.3
].each do |rdep|
  package rdep do
    action :remove
  end
end

# Some gems may build software
include_recipe 'build-essential'

# Common gem dependencies
%w[
  libcurl4-gnutls-dev
  libxslt-dev
  libxml2-dev
].each do |dep|
  package dep
end

# Contains stable builds for Ruby 2.1
apt_repository 'ruby-ng' do
  uri 'http://ppa.launchpad.net/brightbox/ruby-ng/ubuntu'
  distribution node['lsb']['codename']
  components %w[ main ]
  keyserver 'keyserver.ubuntu.com'
  key 'C3173AA6'
end

package 'ruby2.1'

package 'ruby2.1-dev'

execute 'update-alternatives --set ruby /usr/bin/ruby2.1'

execute 'update-alternatives --set gem  /usr/bin/gem2.1'

gem_package 'bundler' # Should really be a default RubyGem...

gem_package 'ruby-shadow' # Necessary for Chef password support